Bug 115382 - Hungarian users need better access to apostrophe
Summary: Hungarian users need better access to apostrophe
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.1.0 target:5.4.6 target:6.0.2
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2018-02-01 16:24 UTC by László Németh
Modified: 2018-02-12 22:46 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2018-02-01 16:24:46 UTC
It seems, apostrophe usage can be a problem for Hungarian users (in Hungarian: https://hup.hu/node/157668#comment-2192669) since default replacement of single quotation marks. (Hungarian inner quotation marks are different from the apostrophe. Shift-1 and Ctrl-Z sequence results only ASCII apostrophe.)

Following autocorrect patterns will help this:

Double inner quotation marks (double Shift-1 ) will be replaced by a typographic apostrophe:

<block-list:block block-list:abbreviated-name=".*««.*" block-list:name="’"/>

bá«« -> bá’

<block-list:block block-list:abbreviated-name="»«.*" block-list:name="’"/>

»«56 -> ’56


Also some frequent Hungarian, English, French patterns:

<block-list:block block-list:abbreviated-name=".*«d" block-list:name="’d"/>
<block-list:block block-list:abbreviated-name=".*«ll" block-list:name="’ll"/>
<block-list:block block-list:abbreviated-name=".*«m" block-list:name="’m"/>
<block-list:block block-list:abbreviated-name=".*«re" block-list:name="’re"/>
<block-list:block block-list:abbreviated-name=".*«s" block-list:name="’s"/>
<block-list:block block-list:abbreviated-name=".*«ve" block-list:name="’ve"/>

<block-list:block block-list:abbreviated-name="Adj«" block-list:name="Adj’"/>
<block-list:block block-list:abbreviated-name="adj«" block-list:name="adj’"/>
<block-list:block block-list:abbreviated-name="Bizisten" block-list:name="Biz’ isten"/>
<block-list:block block-list:abbreviated-name="bizisten" block-list:name="biz’ isten"/>
<block-list:block block-list:abbreviated-name="Biz«" block-list:name="Biz’"/>
<block-list:block block-list:abbreviated-name="biz«" block-list:name="biz’"/>
<block-list:block block-list:abbreviated-name="Hálaisten" block-list:name="Hála isten"/>
<block-list:block block-list:abbreviated-name="hálaisten" block-list:name="hála isten"/>
<block-list:block block-list:abbreviated-name="Hálisten" block-list:name="Hál’ isten"/>
<block-list:block block-list:abbreviated-name="hálisten" block-list:name="hál’ isten"/>
<block-list:block block-list:abbreviated-name="Hál«" block-list:name="Hál’"/>
<block-list:block block-list:abbreviated-name="hál«" block-list:name="hál’"/>
<block-list:block block-list:abbreviated-name="L«.*" block-list:name="L’"/>
<block-list:block block-list:abbreviated-name="l«.*" block-list:name="l’"/>
<block-list:block block-list:abbreviated-name="Neadjisten" block-list:name="Ne adj’ isten"/>
<block-list:block block-list:abbreviated-name="neadjisten" block-list:name="ne adj’ isten"/>
<block-list:block block-list:abbreviated-name="O«.*" block-list:name="O’"/>
<block-list:block block-list:abbreviated-name="o«.*" block-list:name="o’"/>
Comment 1 László Németh 2018-02-01 16:46:14 UTC
More simplification: single opening quotation mark (for example, pressing Shift-1 and space) is also replaced.

<block-list:block block-list:abbreviated-name="»" block-list:name="’"/>

This doesn't affect the normal usage, where there is no space between the inner qutation marks: »Text«.
Comment 2 Commit Notification 2018-02-08 08:34:00 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d0c13bfbdff85a18433aee6e94558689f0cb722

tdf#115382 Hungarian autocorrect: help apostrophe usage

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-02-12 18:51:35 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8edb74677050ca96fa189b0c27484ba0cd89b37c&h=libreoffice-5-4

tdf#115382 Hungarian autocorrect: help apostrophe usage

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-02-12 18:51:42 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=858a82c32ffabdf202c2798d16a6322cfb36b13a&h=libreoffice-6-0

tdf#115382 Hungarian autocorrect: help apostrophe usage

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.